Summary:    Optimized MPEG Audio Layer 2 encoding library based on tooLAME
Name:       twolame
Version:    0.4.0
Release:    4%{?dist}
License:    LGPLv2+
URL:        http://www.twolame.org/
Source0:    http://downloads.sourceforge.net/twolame/%{name}-%{version}.tar.gz

BuildRequires:  autoconf automake make gcc libtool pkgconfig(sndfile)

%description
TwoLAME is an optimized MPEG Audio Layer 2 (MP2) encoder. It should be able to be used as a drop-in
replacement for LAME (a MPEG Layer 3 encoder). The frontend takes very similar command line options to LAME,
and the backend library has a very similar API to LAME.

This package contains the command line frontend.

%package libs
Summary:    TwoLAME is an optimized MPEG Audio Layer 2 encoding library based on tooLAME

%description libs
TwoLAME is an optimized MPEG Audio Layer 2 (MP2) encoder. It should be able to be used as a drop-in
replacement for LAME (a MPEG Layer 3 encoder). The frontend takes very similar command line options to LAME,
and the backend library has a very similar API to LAME.

This package contains the shared library.

%package devel
Summary:    Development tools for TwoLAME applications
Requires:   %{name}-libs = %{version}-%{release}

%description devel
This package contains the header files and documentation needed to develop applications with TwoLAME.

%prep
%autosetup -n %{name}-%{version} -p1

%build
autoreconf -vif
%configure \
    --disable-static \
    --enable-sndfile
%make_build

%install
%make_install
rm %{buildroot}%{_libdir}/*.la
rm -rf %{buildroot}%{_docdir}

%files
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%files libs
%license COPYING
%{_libdir}/lib%{name}.so.*

%files devel
%doc doc/api.txt doc/psycho.txt doc/vbr.txt
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/lib%{name}.so
%{_includedir}/%{name}.h

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.0-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Dec 9 2022 Shuo Wang <abushwang@tencent.com> - 0.4.0-1
- initial build
